# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`mailalias`](#mailalias): Creates an email alias in the local alias database.

## Resource types

### <a name="mailalias"></a>`mailalias`

Creates an email alias in the local alias database.

#### Examples

##### using mailalias to redirect mail for the ftp account to root's mailbox

```puppet

mailalias { 'ftp':
  ensure    => present,
  recipient => 'root',
}
```

#### Properties

The following properties are available in the `mailalias` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

##### `file`

A file containing the alias's contents.  The file and the
recipient entries are mutually exclusive.

##### `recipient`

Where email should be sent.  Multiple values
should be specified as an array.  The file and the
recipient entries are mutually exclusive.

##### `target`

The file in which to store the aliases.  Only used by
those providers that write to disk.

#### Parameters

The following parameters are available in the `mailalias` type.

* [`name`](#name)
* [`provider`](#provider)

##### <a name="name"></a>`name`

namevar

The alias name.

##### <a name="provider"></a>`provider`

The specific backend to use for this `mailalias` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

